### Name: estimateNumPerm
### Title: Compute the Number of Unique Permutations for a Phenotype Vector
### Aliases: estimateNumPerm
### Keywords: array htest

### ** Examples

## One group: continuous observations
ptype1 <- c(24,25,17,26,25,16,14,17,12,15,19,20)
print(estimateNumPerm(ptype1, 1))

## Two groups
ptype2 <- c(0,1,1,0,1,0,1)
print(estimateNumPerm(ptype2, 2))

## Three groups
ptype3a <- c(2,0,1,2,0,1,2,0,0,1,1,2)
print(estimateNumPerm(ptype3a, 3))

ptype3b <- c("Banana","Apple","Lemon","Lemon","Lemon",
             "Apple","Lemon","Banana","Banana")
print(estimateNumPerm(ptype3b, 3))



